Debian Bug report logs - #554590
lighttpd_1.4.24-1(ia64/unstable): FTBFS: test failures

version graph

Package: lighttpd; Maintainer for lighttpd is Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>; Source for lighttpd is src:lighttpd.

Reported by: lamont@debian.org

Date: Thu, 5 Nov 2009 15:18:02 UTC

Severity: serious

Found in version lighttpd/1.4.24-1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>:
Bug#554590; Package lighttpd. (Thu, 05 Nov 2009 15:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to lamont@debian.org:
New Bug report received and forwarded. Copy sent to Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>. (Thu, 05 Nov 2009 15:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: lamont@debian.org
To: submit@bugs.debian.org
Subject: lighttpd_1.4.24-1(ia64/unstable): FTBFS: test failures
Date: Thu, 5 Nov 2009 08:12:31 -0700
Package: lighttpd
Version: 1.4.24-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of lighttpd_1.4.24-1 on mundy by sbuild/ia64 98
> Build started at 20091105-1506

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 7), mime-support, libssl-dev, zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient15-dev, libfam-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev, liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev, libxml2-dev, libkrb5-dev, perl

[...]

> =====================================
> 1 of 3 tests failed
> Please report to contact@lighttpd.net
> =====================================
> make[4]: *** [check-TESTS] Error 1
> make[4]: Leaving directory `/build/buildd/lighttpd-1.4.24/tests'
> make[3]: *** [check-am] Error 2
> make[3]: Leaving directory `/build/buildd/lighttpd-1.4.24/tests'
> make[2]: *** [check-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/lighttpd-1.4.24/tests'
> make[1]: *** [check-recursive] Error 1
> make[1]: Leaving directory `/build/buildd/lighttpd-1.4.24'
> dh_auto_test: make returned exit code 2
> make: *** [build-stamp] Error 1
> dpkg-buildpackage: error: debian/rules build gave error exit status 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=ia64&pkg=lighttpd&ver=1.4.24-1





Information forwarded to debian-bugs-dist@lists.debian.org, Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>:
Bug#554590; Package lighttpd. (Mon, 09 Nov 2009 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Krzyżaniak <eloy@kofeina.net>:
Extra info received and forwarded to list. Copy sent to Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>. (Mon, 09 Nov 2009 16:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 554590@bugs.debian.org (full text, mbox):

From: Krzysztof Krzyżaniak <eloy@kofeina.net>
To: 554590@bugs.debian.org
Subject: [Fwd: Re: [Fwd: [pkg-lighttpd] Bug#554590: lighttpd_1.4.24-1(ia64/unstable): FTBFS: test failures]]
Date: Mon, 09 Nov 2009 16:54:00 +0100
[Message part 1 (text/plain, inline)]
-- 
-------e-l-o-y----------------------------e-l-o-y-@-k-o-f-e-i-n-a-.-n-e-t------

       jak to dobrze, że są oceany - bez nich byłoby jeszcze smutniej
[Re: [Fwd: [pkg-lighttpd] Bug#554590: lighttpd_1.4.24-1(ia64/unstable):  FTBFS: test failures].eml (message/rfc822, inline)]
From: Stefan Bühler <lighttpd@stbuehler.de>
To: Krzysztof Krzyżaniak <eloy@kofeina.net>
Cc: contact@lighttpd.net
Subject: Re: [Fwd: [pkg-lighttpd] Bug#554590: lighttpd_1.4.24-1(ia64/unstable): FTBFS: test failures]
Date: Mon, 9 Nov 2009 16:40:53 +0100
Krzysztof Krzyżaniak <eloy@kofeina.net> wrote:
> Could you take a look? Maybe something comes to mind. It is build log
> for Itanium IA64 arch, others build fine:
> 
> 
> https://buildd.debian.org/fetch.cgi?&pkg=lighttpd&ver=1.4.24-1&arch=ia64&st
> amp=1257435549&file=log
> 

Hi,

darix got a backtrace (lighttpd segfaults in the mod-auth check), see below.

I found some reports that memchr() is/was broken on ia64, and that would
explain the segfault, as to me the parameters for memchr() looked sane.

The line is:
if (NULL == (f_pwd = memchr(f_user, ':', f.size - (f_user - f.start) ))) {

and f_user = f_line was set before, and f_line == f.start, so this should call
  memchr(f.start, ':', f.size);

Program received signal SIGSEGV, Segmentation fault.
0x2000000000572b51 in memchr () from /lib/libc.so.6.1
#0  0x2000000000572b51 in memchr () from /lib/libc.so.6.1
No symbol table info available.
#1  0x2000000000c86000 in http_auth_get_password (srv=0x6000000000010010, p=0x2000000001200000, username=0x60000000001146b0, 
realm=0x60000000000423d0, password=0x6000000000114720) at http_auth.c:251
        pwd_len = 2305843009220510208
        f_pwd = 0x60000000000423d8 "\020"
        f = {start = 0x2000000001200000 "des:12tMnfw882VDQ\nmd5:$1$md5$kIa7Juuiv8zja0ILQPR36/\n", size = 52}
        f_line = 0x2000000001200000 "des:12tMnfw882VDQ\nmd5:$1$md5$kIa7Juuiv8zja0ILQPR36/\n"
        auth_fn = 0x6000000000041190
        ret = <value optimized out>
#2  0x2000000000c8a4f0 in http_auth_basic_check (srv=0x6000000000010010, con=0x6000000000061140, p=0x60000000000390a0, req=0x6000000000042080, 
url=0x60000000000615b0, realm_str=<value optimized out>)
    at http_auth.c:865
        username = 0x60000000001146b0
        password = 0x6000000000114720
        pw = 0x60000000001146d4 "des"
#3  0x2000000000c84110 in mod_auth_uri_handler (srv=0x6000000000010010, con=0x6000000000061140, p_d=0x60000000000390a0) at mod_auth.c:250
        auth_type_len = <value optimized out>
        k = <value optimized out>
        auth_satisfied = <value optimized out>
        http_authorization = 0x6000000000113e00 "Basic ZGVzOmRlcw=="
        req = 0x6000000000042080
#4  0x4000000000039e70 in plugins_call_handle_uri_clean (srv=0x6000000000010010, con=0x6000000000061140) at plugin.c:260
        r = <value optimized out>
        slot = <value optimized out>
        j = 2
#5  0x400000000000eeb0 in http_response_prepare (srv=0x6000000000010010, con=0x6000000000061140) at response.c:298
        r = 65712
#6  0x4000000000015cb0 in connection_state_machine (srv=0x6000000000010010, con=0x6000000000061140) at connections.c:1446
        b = 0
        r = <value optimized out>
        srv_sock = <value optimized out>
#7  0x40000000000186f0 in network_server_handle_fdevent (s=0x6000000000010010, context=0x6000000000037560, revents=<value optimized out>) at 
network.c:52
        r = <value optimized out>
        con = 0x20000000011ffff8
        loops = 3
#8  0x400000000000c820 in main (argc=6, argv=0x600fffffffbdf498) at server.c:1446
        handler = @0x4000000000053c90: 0x4000000000018600 <network_server_handle_fdevent>
        r = <value optimized out>
        revents = 1
        fd_ndx = 1
        n = <value optimized out>
        ndx = <value optimized out>
        min_ts = <value optimized out>
        print_config = <value optimized out>
        test_config = <value optimized out>
        i_am_root = <value optimized out>
        o = <value optimized out>
        num_childs = <value optimized out>
        pid_fd = <value optimized out>
        fd = 7
        i = <value optimized out>
        act = {__sigaction_handler = {sa_handler = @0x4000000000053d90: 0x4000000000009400 <sigaction_handler>, sa_sigaction = 
@0x4000000000053d90: 0x4000000000009400 <sigaction_handler>}, sa_flags = 4, 
          sa_mask = {__val = {0 <repeats 16 times>}}}
        rlim = {rlim_cur = 1024, rlim_max = 1024}

Information forwarded to debian-bugs-dist@lists.debian.org, Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>:
Bug#554590; Package lighttpd. (Fri, 20 Nov 2009 23:06:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Bühler <lighttpd@stbuehler.de>:
Extra info received and forwarded to list. Copy sent to Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>. (Fri, 20 Nov 2009 23:06:31 GMT) Full text and rfc822 format available.

Message #15 received at 554590@bugs.debian.org (full text, mbox):

From: Stefan Bühler <lighttpd@stbuehler.de>
To: 554590@bugs.debian.org
Subject: Re: [Fwd: [pkg-lighttpd] Bug#554590: lighttpd_1.4.24-1(ia64/unstable): FTBFS: test failures]
Date: Fri, 20 Nov 2009 23:57:40 +0100
See http://sourceware.org/bugzilla/show_bug.cgi?id=10162 - i think the second 
patch was the result of the above backtrace :)

So "eglibc (2.10.1-7) unstable; urgency=low" probably fixed this:
  * patches/ia64/submitted-memchr.diff: fix memchr() when data is shorter
    than software pipeline.
- and i verified it is the right patch.

Btw, I guess you could close #534488 as "invalid" or whatever...




Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Fri, 27 Nov 2009 22:57:05 GMT) Full text and rfc822 format available.

Notification sent to lamont@debian.org:
Bug acknowledged by developer. (Fri, 27 Nov 2009 22:57:05 GMT) Full text and rfc822 format available.

Message #20 received at 554590-done@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 554590-done@bugs.debian.org
Subject: Re: #554590: lighttpd_1.4.24-1(ia64/unstable): FTBFS: test failures
Date: Fri, 27 Nov 2009 23:54:22 +0100
Fixed: 1.4.24-1

Latest build went fine with current libc6.1-dev.


Michael




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Dec 2009 07:41:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:05:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.